Bug 1069797 - Review Request: perl-Module-Extract-Namespaces - Extract the package declarations from a module
Summary: Review Request: perl-Module-Extract-Namespaces - Extract the package declarat...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-25 16:48 UTC by Paul Howarth
Modified: 2014-03-17 06:22 UTC (History)
2 users (show)

Fixed In Version: perl-Module-Extract-Namespaces-1.02-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-17 06:22:16 UTC
Type: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2014-02-25 16:48:18 UTC
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Module-Extract-Namespaces/branches/fedora/perl-Module-Extract-Namespaces.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Module-Extract-Namespaces/perl-Module-Extract-Namespaces-1.02-2.fc21.src.rpm
Description:

This module extracts package declarations from Perl code without running the
code.

It does not extract:

 * Packages declared dynamically (e.g. in eval)
 * Packages created as part of a fully qualified variable name

Fedora Account System Username: pghmcfc

Comment 1 Parag AN(पराग) 2014-02-25 17:05:29 UTC
take this review.

Comment 2 Parag AN(पराग) 2014-02-26 05:17:14 UTC
Review:-

+ Package build successfully in rawhide mock

+ Source verified with upstream as (sha256sum)
srpm tarball : bdc36e64462f7436fc52b33651a6f9a17df35511916acbe1845a13005cc65e22
upstream tarball : bdc36e64462f7436fc52b33651a6f9a17df35511916acbe1845a13005cc65e22

+ rpmlint on generated rpms gave output
perl-Module-Extract-Namespaces.noarch: W: spelling-error %description -l en_US eval -> veal, vela, val
perl-Module-Extract-Namespaces.src: W: spelling-error %description -l en_US eval -> veal, vela, val
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ License of this package is GPL+ or Artistic which is given in source header.

+ %check is present and tests are run successfully.

Suggestions:
1) Group tag is optional so you can remove it if this package is only for Fedora.

2) See http://fedoraproject.org/wiki/Packaging:Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment


APPROVED.

Comment 3 Paul Howarth 2014-02-26 07:48:01 UTC
New Package SCM Request
=======================
Package Name: perl-Module-Extract-Namespaces
Short Description: Extract the package declarations from a module
Owners: pghmcfc
Branches: f19 f20 el6 epel7
InitialCC: perl-sig

> Group tag is optional so you can remove it if this package is only for Fedora.

Thanks, I forgot about that when I stripped out EL-5 support (PPI in EPEL-5 is too old for this package).

> See http://fedoraproject.org/wiki/Packaging:Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

This is a downstream-only patch (hiding a private module from rpm's dependency generator) and would serve no purpose upstream; there's a comment about the patch where it's applied in %prep.

Thanks for the review.

Comment 4 Parag AN(पराग) 2014-02-26 07:54:28 UTC
(In reply to Paul Howarth from comment #3)
> 
> > See http://fedoraproject.org/wiki/Packaging:Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment
> 
> This is a downstream-only patch (hiding a private module from rpm's
> dependency generator) and would serve no purpose upstream; there's a comment
> about the patch where it's applied in %prep.

Thanks. I missed that comment.

Comment 5 Gwyn Ciesla 2014-02-26 13:07:54 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-02-26 16:17:25 UTC
perl-Module-Extract-Namespaces-1.02-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Module-Extract-Namespaces-1.02-3.fc19

Comment 7 Fedora Update System 2014-02-26 16:17:33 UTC
perl-Module-Extract-Namespaces-1.02-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Module-Extract-Namespaces-1.02-3.el6

Comment 8 Fedora Update System 2014-02-26 16:17:40 UTC
perl-Module-Extract-Namespaces-1.02-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Module-Extract-Namespaces-1.02-3.fc20

Comment 9 Fedora Update System 2014-03-09 04:37:08 UTC
perl-Module-Extract-Namespaces-1.02-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 10 Fedora Update System 2014-03-09 04:39:04 UTC
perl-Module-Extract-Namespaces-1.02-3.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2014-03-17 05:57:48 UTC
perl-Module-Extract-Namespaces-1.02-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.